.documentation {
  display: table;
  min-height: 100vh;
  width: 100%;
  vertical-align: top;
}

/* sidebar */
.documentation .sidebar {
  width: 300px;
  display: table-cell;
  border-right: 1px solid #eee;
  font-size: 14px;
  background: #fafafa;
  vertical-align: top;
  visibility: hidden;
  padding-top: 10px;
}

.documentation .sidebar.resolved {
  visibility: visible;
}

.documentation .sidebar_right {
  max-width: 280px;
  min-height: 100px;
  /* float: right; */
  display: table-cell;
}

.documentation .sidebar_right > ul {
  min-height: 200px;
  display: block;
  border-left: 1px solid #ddd;
  padding-left: 40px;
  list-style-type: none;
}

.documentation .sidebar > ul {
  overflow-y: auto;
  margin: 0;
  padding: 10px 0 30px 0;
  width: 300px;
  padding-left: 25px;
}

.documentation .sidebar ul {
  list-style-type: none;
  margin-bottom: 0;
  margin-left: 0;
}

.documentation .sidebar ul li a {
  display: block;
  padding: 10px 15px;
  text-decoration: none;
  color: #3A2F38;
  line-height: 1.25;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.documentation .sidebar ul li a b {
  font-weight: bold;
}

.documentation .sidebar ul li a.active,
.documentation .sidebar ul li a:hover {
  color: #a95a9f;
}

.documentation .sidebar ul li ul {
  padding-left: 20px;
}

.documentation .sidebar > ul > li > a,
.documentation .sidebar ul li.selected > a {
  font-weight: 700;
}

/* content */
.documentation .content {
  color: #333;
  font-size: 16px;
  padding: 40px 40px 200px 60px;
  vertical-align: top;
}

.documentation a.edit_link {
  float: right;
}

.documentation .content_inner {
  max-width: 820px;
}

@media (max-width: 1205px) {
  .documentation .content_inner {
    max-width: 550px;
  }
}

@media (max-width: 900px) {
 .documentation .sidebar {
    display: none;
  }

  .documentation {
    display: block;
  }

  .documentation .content_inner {
    width: 100%;
    max-width: 100%;
  }
}

.documentation h1, .documentation h2, .documentation h3, .documentation h4, .documentation h5, .documentation h6 {
  padding: 0;
  margin: 0;
  font-weight: bold;
  line-height: 1.5;
  color: inherit;
}

.documentation hr {
  border:none;
  border-top: 1px solid #222;
}

.documentation ul {
  padding: 0 0 0 40px;
  margin: 0;
}

.documentation ul li > ul {
  margin: 0.2em 0 1em 0;
}

.documentation ul li p {
  padding: 0;
  margin: 0;
}

.documentation ul.toc  {
  background: #fafafa;
  border: 1px solid #eee;
  padding: 1.6em 3em;
}

.documentation h1 {
  margin-top: 0.4em;
  margin-bottom: 0.2em;
  font-size: 38px;
}

.documentation h2 {
  margin-top: 1.6em;
  margin-bottom: .2em;
  font-size: 28px;
  font-weight: 500;
}

.documentation h3 {
  margin-top: 1.6em;
  margin-bottom: .3em;
  padding-bottom: 0;
  font-size: 21px;
  font-weight: 500;
}

.documentation h4, .documentation h5 {
  font-size: 16px;
  margin-top: 1.8em;
  margin-bottom: .4em;
  font-weight: 500; 
}

.documentation h5 {
  color: #666;
}

.documentation pre + h2, .documentation table + h2,
.documentation pre + h3, .documentation table + h3,
.documentation pre + h4, .documentation table + h4,
.documentation pre + h5, .documentation table + h5 {
  margin-top: 2.2em;
}

.documentation p {
  line-height: 160%;
  margin-bottom: .8em;
}

.documentation p em {
  font-style: italic;
}

.documentation table {
  margin-top: .8em;
  margin-bottom: 1.8em;
  width: 100%;
}

.documentation hr {
  margin: 24px 0 35px 0;
  border: none;
  border-bottom: 1px solid #eee;
}

.documentation a {
  color: #2980b9;
  text-decoration: none;
}

.documentation a:hover {
  text-decoration: underline;
}

.documentation code {
  padding: 2px 5px;
  font-family: "Roboto Mono", monospace;
  background-color: #f8f8f8;
  border: 1px solid #cacaca;
  border-bottom: 2px solid #cacaca;
  border-radius: 3px;
  text-shadow: 0 1px 0 #fff;
  overflow: auto;
  font-size: 80%;
  line-height: 22px;
}

.documentation pre code {
  padding: 10px 15px;
  display: block;
  font-size: 90%;
}

.documentation pre {
  margin-bottom: 1.8em;
}

.documentation table {
  border-collapse: collapse;
}

.documentation table td, .documentation table th {
  padding: 6px 13px;
  border: 1px solid #ccc;
}

.documentation table th {
  font-weight: 600;
  color: #333;
  vertical-align:top;
  width: 125px;
}

.documentation table th i {
  font-weight: 400;
  font-size: 12px;
}

.documentation table th { background-color: #f8f8f8; }

.documentation table td p {
  padding-bottom: 0;
  margin-bottom: .6em;
}

.documentation span.tag {
  background: #792b74;
  border-radius: 3px;
  padding: 4px 6px;
  color: #fff;
  font-size: 82%;
  margin-right: 3px;
}

.documentation .small {
  font-size: 90%;
}

.documentation strong {
  font-weight: 600;
}

.documentation .warning {
  background-color: #fcf8e3;
  border: 1px solid #faebcc;
  color: #8a6d3b;
  padding: 1em 1em;
  margin-top: 1.4em;
}

.documentation .breadcrumbs {
  margin: 0 0 1em 0;
}

.documentation .txtdoc {
  font-family: "Roboto Mono", monospace;
  line-height: 22px;
  font-size: 14px;
  padding-top: 10px;
}

table.api_reference {
  width: 100%;
}

table.api_reference tr:hover td {
  background: #eee;
}

table.api_reference td {
  padding: 8px 16px 8px 8px;
  cursor: pointer;
}

table.api_reference tr td:first-child {
  width: 40px;
}

table.http_api {
  width: 100%;
  table-layout: fixed
}

table.http_api tr td:first-child {
  width: 240px;
}

table.functions_and_operators {
  width: 100%;
  table-layout: fixed;
}

table.functions_and_operators tr td:first-child {
  width: 145px;
}

/* example_frame */
.documentation .example_frame {
  border-bottom: 1px solid #eee;
  padding: 40px 0 30px 0;
  text-align: center;
}

/* example_gallery */
.documentation .example_gallery .example {
  width: 49%;
  margin: 20px 0px 0 0;
  padding: 0 0px 0 0;
  float: left;
}

.documentation .example_gallery .example:nth-child(2n + 1) {
  margin-left: 2%;
}

.documentation .example_gallery .example h4 {
  font-weight: 500;
  font-size: 100%;
  line-height: 40px;
  margin: 0;
  padding: 0;
}

.documentation .example_gallery .thumb {
  height: 213px;
  display: block;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}

#navigation .menu_container .documentation_menu {
  display: none;
  line-height: 34px;
  margin: 10px 0px 0px 22px;
  font-size: 18px;
}

#navigation .menu_container .documentation_menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  font-size: 14px;
}

#navigation .menu_container .documentation_menu > ul > li > a,
#navigation .menu_container .documentation_menu ul li.active > a {
  font-weight: 600;
}

#navigation .menu_container .documentation_menu a {
  text-decoration: none;
  color: #3A2F38;
}

@media (max-width: 900px) {
  #navigation .menu_container .menu.dropdown {
    display: none;
  }

  #navigation .menu_container .documentation_menu {
    display: block;
  }

  #navigation .menu_container .documentation_menu ul li ul {
    display: none;
    padding-left: 20px;
  }

  #navigation .menu_container .documentation_menu ul li.active ul {
    display: block;
  }
}
